Vector::BLF::LinSpikeEvent2(3)

NAME
Vector::BLF::LinSpikeEvent2 - LIN_SPIKE_EVENT2.

SYNOPSIS

#include <LinSpikeEvent2.h>

Inherits Vector::BLF::ObjectHeader, and Vector::BLF::LinBusEvent.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default
Public Member Functions inherited from Vector::BLF::LinBusEvent
LinBusEvent (const LinBusEvent &)=default
LinBusEvent & operator= (const LinBusEvent &)=default
LinBusEvent (LinBusEvent &&)=default
LinBusEvent & operator= (LinBusEvent &&)=default

  Public Attributes
uint32_t width {}
the spike's width in microseconds
uint8_t internal {}
uint8_t reservedLinSpikeEvent1 {}
uint16_t reservedLinSpikeEvent2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t sof {}
Start Of Frame timestamp.
uint32_t eventBaudrate {}
Baudrate of the event in bit/sec.
uint16_t channel {}
application channel
uint16_t reservedLinBusEvent {}

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

Detailed Description

LIN_SPIKE_EVENT2. This event occurs when a short (normally less than 1 bit time) dominant signal has been detected on a LIN channel.

Member Function Documentation

  uint32_t Vector::BLF::LinSpikeEvent2::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinSpikeEvent2::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::LinSpikeEvent2::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint8_t Vector::BLF::LinSpikeEvent2::internal {}
Flag indicating whether this event is a simulated one:

•   0: real event

•   1: simulated event

  uint8_t Vector::BLF::LinSpikeEvent2::reservedLinSpikeEvent1 {}
reserved

  uint16_t Vector::BLF::LinSpikeEvent2::reservedLinSpikeEvent2 {}
reserved

  uint32_t Vector::BLF::LinSpikeEvent2::width {}

the spike's width in microseconds Spike length in microseconds

Author

Generated automatically by Doxygen for Vector BLF from the source code.